Package Details: gtkdialog-svn 514-7

Git Clone URL: https://aur.archlinux.org/gtkdialog-svn.git (read-only)
Package Base: gtkdialog-svn
Description: Gtkdialog is a small utility for fast and easy GUI building (SVN)
Upstream URL: https://code.google.com/p/gtkdialog
Licenses: GPL
Conflicts: gtkdialog
Provides: gtkdialog
Submitter: hazard
Maintainer: hazard
Last Packager: hazard
Votes: 61
Popularity: 0.000001
First Submitted: 2013-01-06 15:20
Last Updated: 2015-07-08 07:05

Dependencies (7)

Required by (9)

Sources (0)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

hazard commented on 2014-12-11 01:58

@Alister.Hood
gtk build dependency removed.

Alister.Hood commented on 2014-12-11 00:39

Dude - it doesn't depend on gtk (which is gtk+ 1.2) - it depends on gtk2. But you don't need it as a dependency, because it is required by vte and libglade.

Anonymous comment on 2013-08-13 20:12

This program can be compiled with gtk2, or with gtk3 if your add --enable-gtk3 as configuration argument, so you may want to remove gtk from makedepends and add gtk2 or gtk3 to depends line.

Then maybe rename svn in makedepends to subversion.

Thank you.

hazard commented on 2013-04-04 19:20

@mjob
Thanks. It's been fixed upstream to build with automake-1.13.
Therefore removed all my patches.

mjob commented on 2013-04-04 14:10

Line "mv configure.in configure.ac" have to be removed to build this package successfully

hazard commented on 2013-03-02 20:16

@ValHue
Thank you for the tip, fixed. I am kind of surprised gtkdialog works without gtk being installed.

ValHue commented on 2013-03-02 10:42

I think gtk should not appear as a dependency. Gtk is only needed during compilation, so it should be in makedepends.

Thanks.

hazard commented on 2013-01-07 03:04

Added missing script from automake 1.13.1 to fix --is-lightweight warning. Notifying upstream.

Re-read the documentation, patched files correctly with sed, no errors or warnings. Yay.

And FYI version as-of-now:
gtkdialog version 0.8.4 r503M (C) 2003-2007 Laszlo Pere, 2011-2012 Thunor
Built with additional support for: Glade, VTE.

hazard commented on 2013-01-06 17:39

Reverted. It looked like it was working...

hazard commented on 2013-01-06 17:16

Removed patches, fixed with sed one-liner:
sed -i 's/AC_CHECK_HEADER(.*/AC_C_PROTOYPES\nAC_HEADER_STDC\AC_CHECK_HEADERS([string.h])/' autogen.sh

Docs here: http://www.flameeyes.eu/autotools-mythbuster/forwardporting/automake.html